cc.funkemunky.api.config

## Class ConfigUtils

- java.lang.Object
- - cc.funkemunky.api.config.ConfigUtils

    public class ConfigUtils
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ConfigUtils(org.bukkit.plugin.java.JavaPlugin plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getBooleanOrDefault(java.lang.String path, boolean def)`
`double` `getDoubleOrDefault(java.lang.String path, double def)`
`java.util.List<?>` `getListOrDefault(java.lang.String path, java.util.List<?> def)`
`long` `getLongOrDefault(java.lang.String path, long def)`
`java.lang.Object` `getOrDefault(java.lang.String path, java.lang.Object def)`
`java.lang.String` `getStringOrDefault(java.lang.String path, java.lang.String def)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigUtils

    public ConfigUtils(org.bukkit.plugin.java.JavaPlugin plugin)

### Method Detail

#### getBooleanOrDefault

    public boolean getBooleanOrDefault(java.lang.String path,
                                       boolean def)

#### getDoubleOrDefault

    public double getDoubleOrDefault(java.lang.String path,
                                     double def)

#### getStringOrDefault

    public java.lang.String getStringOrDefault(java.lang.String path,
                                               java.lang.String def)

#### getListOrDefault

    public java.util.List<?> getListOrDefault(java.lang.String path,
                                              java.util.List<?> def)

#### getLongOrDefault

    public long getLongOrDefault(java.lang.String path,
                                 long def)

#### getOrDefault

    public java.lang.Object getOrDefault(java.lang.String path,
                                         java.lang.Object def)